<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<!DOCTYPE bugzilla SYSTEM "http://bugs.gentoo.org/bugzilla.dtd">

<bugzilla version="2.22.7"
          urlbase="http://bugs.gentoo.org/"
          maintainer="bugzilla@gentoo.org"
>

    <bug>
          <bug_id>93173</bug_id>
          
          <creation_ts>2005-05-19 03:25 0000</creation_ts>
          <short_desc>[irda-utils-0.9.16] irdadump does not get installed (with patch)</short_desc>
          <delta_ts>2005-05-31 02:36:25 0000</delta_ts>
          <reporter_accessible>1</reporter_accessible>
          <cclist_accessible>1</cclist_accessible>
          <classification_id>1</classification_id>
          <classification>Unclassified</classification>
          <product>Gentoo Linux</product>
          <component>Ebuilds</component>
          <version>unspecified</version>
          <rep_platform>All</rep_platform>
          <op_sys>Other</op_sys>
          <bug_status>RESOLVED</bug_status>
          <resolution>FIXED</resolution>
          
          
          
          <priority>P2</priority>
          <bug_severity>normal</bug_severity>
          <target_milestone>---</target_milestone>
          
          
          
          <everconfirmed>1</everconfirmed>
          <reporter>manolis@tzanidakis.gr</reporter>
          <assigned_to>mobile@gentoo.org</assigned_to>
          <cc>pva@gentoo.org</cc>

      

      
          <long_desc isprivate="0">
            <who>manolis@tzanidakis.gr</who>
            <bug_when>2005-05-19 03:25:57 0000</bug_when>
            <thetext>irdadump doesn&apos;t get installed.

Reproducible: Always
Steps to Reproduce:
1.emerge irda-utils
2.
3.




The following patch fixes it:

--- irda-utils-0.9.16.ebuild    2005-05-18 23:56:53.000000000 +0300
+++ irda-utils-0.9.16-r1.ebuild 2005-05-19 00:02:44.000000000 +0300
@@ -28,6 +28,7 @@
 
 src_compile() {
        export WANT_AUTOMAKE=1.4
+       export WANT_AUTOCONF=2.5
        export RPM_OPT_FLAGS=${CFLAGS}
 
        emake ROOT=&quot;${D}&quot; RPM_BUILD_ROOT=&quot;${D}&quot; || die &quot;Making failed.&quot;
@@ -35,6 +36,9 @@
        cd ${S}/irsockets
        emake || die &quot;Making irsockets failed.&quot;
 
+       cd ${S}/irdadump
+       emake || die &quot;Making irdadump failed.&quot;
+
        if use gtk; then
                cd ${S}/findchip
                emake gfindchip || die &quot;Making gfindchip failed.&quot;</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>henrik@brixandersen.dk</who>
            <bug_when>2005-05-19 03:56:29 0000</bug_when>
            <thetext>Thanks, I&apos;ll take a look at it.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>pva@gentoo.org</who>
            <bug_when>2005-05-28 12:13:12 0000</bug_when>
            <thetext>I&apos;ve tried this patch and it works for me. At least irdadump is installed for 
me now. 
 
BTW. Without WANT_AUTOMAKE irda-utils complain about: 
FATAL ERROR: Autoconf version 2.50 or higher is required for this script 
 </thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>henrik@brixandersen.dk</who>
            <bug_when>2005-05-31 02:36:25 0000</bug_when>
            <thetext>Fixed in net-wireless/irda-utils-0.9.16-r1.

No need to cd ${S}/irdadump and run emake as this is handled by the Makefile itself.</thetext>
          </long_desc>
      
    </bug>

</bugzilla>